import json

from datetime import datetime


class JsonDump:

    def __init__(self, path: str):
        self._path = path

    def dump_to_disk(self, run_id: str, dataset_response_json: str) -> None:
        current_time = datetime.now().strftime("%Y%m%dT%H%M%S")
        file_name = f'{run_id}_{current_time}.json'
        if not self._path.endswith("/"):
            self._path = self._path + "/"
        with open(f"{self._path}{file_name}", 'w', encoding='utf-8') as f:
            json.dump(dataset_response_json, f, ensure_ascii=False, indent=4)
